| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
GlsPropStringQuoted Class Reference

`#include <util.h>`

## Public Member Functions
| GlsPropStringQuoted ()
| Default constructor, create an empty GlsPropStringQuoted object.
| GlsPropStringQuoted (const std::string &str)
| GlsPropStringQuoted (const char *str)
| operator std::string () const
std::string & | String ()
bool | operator== (const GlsPropStringQuoted &str) const

## Public Attributes
std::string | _string
| The underlying wrapped string.

## Detailed Description

GlsPropStringQuoted is designed to be used as a string in GL Studio Class Properties. It writes itself out as a single line surrounded with quotes (""), and will read in up to the next un-escaped quote. It will attempt to convert itself to and from std::strings. Use of GlsPropStringQuoted is preferred over GlsPropString for use in a GlsMultiVal.

## Constructor & Destructor Documentation

## ◆ GlsPropStringQuoted() [1/2]

GlsPropStringQuoted | ( | const std::string & | str | ) |
| inline

Constructor, create a new GlsPropStringQuoted object using the provided std::string object.

Parameters

  str | The std::string object to use to create the GlsPropStringQuoted object

## ◆ GlsPropStringQuoted() [2/2]

GlsPropStringQuoted | ( | const char * | str | ) |
| inline

Constructor, create a new GlsPropStringQuoted object using the provided C-style string.

Parameters

  str | the C-style string to use to create the GlsPropStringQuoted object.

## Member Function Documentation

## ◆ operator std::string()

operator std::string | ( |  | ) | const
| inline

Returns
  The underlying string value for this object.

## ◆ operator==()

bool operator== | ( | const GlsPropStringQuoted & | str | ) | const
| inline

Equality operator

Parameters

  str | The object to compare.

Returns
  True if the objects are equal.

## ◆ String()

std::string & String | ( |  | ) |
| inline

Returns
  The underlying string value for this object.

The documentation for this class was generated from the following file:

- util.h